%global serial 2
%global meadalpha %{nil}
%global meadrel %{nil}
%bcond_with bootstrap

%global scl_name_base rh-sso
%global scl_name_version 7
%global scl %{scl_name_base}%{scl_name_version}
%global nfsmountable 1

%scl_package %scl

Name:           %scl_name
Version:        1
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        Package that installs %scl
License:        GPLv2+
%{?scl:Requires: %scl_runtime}
BuildRequires:  scl-utils-build

%description
This is the main package for the %scl Software Collection.

%package runtime
Summary:        Package that handles %scl Software Collection
Requires:       scl-utils
%if %without bootstrap
Requires:       %{name}-javapackages-tools
BuildRequires:  %{name}-javapackages-tools
%endif

%description runtime
Package shipping essential scripts to work with the %scl Software Collection.

%package build
Summary:        Package shipping basic build configuration
%{?scl:Requires: %scl_runtime}
Requires:       scl-utils-build

%description build
Package shipping essential configuration macros to build the %scl Software Collection.

%prep
%setup -q -c -T

%install
%{__rm} -rf %{buildroot}

%scl_install

%{__cat} >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

%clean
%{__rm} -rf %{buildroot}

%files

%files runtime
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Thu Apr 07 2016 David Walluck <dwalluck@redhat.com> - 1-2
- build non-bootstrap

* Thu Apr 07 2016 David Walluck <dwalluck@redhat.com> - 1-1
- release

